Page MenuHomePhabricator

QmitkNodeSelectionButton does not refresh if node information changes
Closed, ResolvedPublic

Description

Currently QmitkNodeSelectionButton does not update on changes of the node its data or properties. E.G. changing the node name would not change an update directly. Only if an rendering update is provoked, one would see the change.

QmitkNodeSelectionButton should register eventlisteners for the node to be aware of relevant changes and update itself accordingly.
It also should unregister the listneres in its destructor or if another or no node is selected.

Revisions and Commits

rMITK MITK
Restricted Differential Revision

Event Timeline

floca triaged this task as Low priority.Nov 25 2019, 4:46 PM
floca created this task.
kalali added a subscriber: kalali.Nov 25 2019, 5:33 PM

Similar thing is done inside the QmitkDataStorageComboBox (for reference).

floca added a comment.Nov 25 2019, 6:03 PM

Oh, great. Thanks for the hint.

floca closed this task as Resolved by committing rMITK4d6a8f6fc8d2: Fixed T26851.Jan 27 2020, 9:53 PM
floca claimed this task.
floca added a revision: Restricted Differential Revision.Jan 27 2020, 9:54 PM
floca reopened this task as Open.Jan 28 2020, 4:55 PM

Not yet closed as branch is not landed in master yet.